<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">

    <module name="purchase" package="com.axelor.apps.purchase.db"/>

	<entity name="BookingService" lang="java">
		<string name="eventName" />
		<date name="eventDate" />
		<string name="eventAddress" />
        <decimal name="estimatedParticipantNumber" />

        <string name="missionName" />
		<string name="missionAddress" />
		<string name="tripPurpose" />
        
    
        <string name="phoneNumber"/>
        <string name="emailAddress" title="Email"/>
        
        <integer name="numberOfRoom" default="1"/>
        <integer name="roomType" title="Room type" selection="ipurchase.booking.room.type.select" default="1"/>
        <integer name="accommodationType" title="Accomodation type" selection="ipurchase.booking.accommodation.type.select" default="1"/>
		<date name="checkInDate" />
		<date name="checkOutDate" />
        
        
        <integer name="numberOfTicket" default="1"/>
        <string name="departurePoint" title="Departure point"/>
        <date name="departureDate" />
        <string name="destination" title="Destination"/>
        
        <!-- <string name="destination" title="Destination"/> -->
        
        <date name="returnDate" />
        <string name="returnPoint" title="Return point"/>



        <integer name="statusSelect" title="Status" readonly="true" selection="ipurchase.booking.status.select" default="1"/>
        <integer name="serviceType" title="Service type" readonly="true" selection="ipurchase.booking.service.type.select" default="1"/>

        <date name="serviceDate" title="Service date" />
        
        <many-to-one name="requestedBy" title="Requested By" ref="com.axelor.auth.db.User"/>
        <date name="requestDate" title="Request date" />
        <many-to-one name="validatedBy" title="Validated By" ref="com.axelor.auth.db.User"/>
        <date name="validationDate" title="Validation date" />
        <many-to-one name="approvedBy" title="Approved By" ref="com.axelor.auth.db.User"/>
        <date name="approvalDate" title="Approval date" />


        <track>
            <field name="serviceType"/>
            <field name="statusSelect"/>
            <field name="requestedBy" />
            <field name="requestDate"  />
            <field name="validatedBy" />
            <field name="validationDate"  />
            <field name="approvedBy" />
            <field name="approvalDate" />
        </track>

	</entity>
	
</domain-models>